Skip to content
Start here

Delete Endpoint Health Check

client.Diagnostics.EndpointHealthchecks.Delete(ctx, id, body) (*EndpointHealthcheckDeleteResponse, error)
DELETE/accounts/{account_id}/diagnostics/endpoint-healthchecks/{id}

Delete Endpoint Health Check.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
id string

UUID.

maxLength36
body EndpointHealthcheckDeleteParams
AccountID param.Field[string]

Identifier

maxLength32
ReturnsExpand Collapse
type EndpointHealthcheckDeleteResponse struct{…}
Errors []EndpointHealthcheckDeleteResponseError
Code int64
minimum1000
Message string
DocumentationURL stringoptional
Source EndpointHealthcheckDeleteResponseErrorsSourceoptional
Pointer stringoptional
Messages []EndpointHealthcheckDeleteResponseMessage
Code int64
minimum1000
Message string
DocumentationURL stringoptional
Source EndpointHealthcheckDeleteResponseMessagesSourceoptional
Pointer stringoptional
Success EndpointHealthcheckDeleteResponseSuccess

Whether the API call was successful.

Delete Endpoint Health Check

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/diagnostics"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  endpointHealthcheck, err := client.Diagnostics.EndpointHealthchecks.Delete(
    context.TODO(),
    "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    diagnostics.EndpointHealthcheckDeleteParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", endpointHealthcheck.Errors)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true
}